## org.opengis.feature.simple
Interface BooleanAttribute

All Superinterfaces:
  Attribute, Property

    public interface BooleanAttribute

extends Attribute

Attribute known to be bound to a Boolean class.

This class indicates getValue() returns a Boolean using Java 5 type narrowing, for for those working against java 1.4 interfaces the additional methods getBoolean() and setBoolean have been introduced.

Method Summary
`Boolean` `getBoolean()` Java 1.4 type safe access to getValue
`Boolean` `getValue()` Boolean value for this attribute.
`void` `setBoolean(Boolean newValue)` Java 1.4 type safe access to setValue
`void` `setValue(Boolean newValue)` Set the Boolean value for this attribute.

Methods inherited from interface Attribute
`getDescriptor, getID, getType, nillable, operation, setValue`

Methods inherited from interface Property
`descriptor, name`

Method Detail

### getValue

    Boolean getValue()

  Boolean value for this attribute. Java 1.4 developers may wish to use getBoolean.

  Specified by:
    `getValue` in interface `Attribute`
  Returns:
    Boolean value

### setValue

    void setValue(Boolean newValue)

  Set the Boolean value for this attribute. Java 1.4 developers may wish to use setBoolean.

  Parameters:
    `newValue` - Boolean value for this attribute.

### getBoolean

    Boolean getBoolean()

  Java 1.4 type safe access to getValue

  Returns:
    (Boolean) getValue()

### setBoolean

    void setBoolean(Boolean newValue)

  Java 1.4 type safe access to setValue

  Parameters:
    `newValue` -

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.